package com.enteprise.enterprise.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.enterprise.mapper.EnterpriseMapper;
import com.enteprise.enterprise.domain.Enterprise;
import com.enteprise.enterprise.service.IEnterpriseService;

/**
 * enterpriseService业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class EnterpriseServiceImpl implements IEnterpriseService 
{
    @Autowired
    private EnterpriseMapper enterpriseMapper;

    /**
     * 查询enterprise
     * 
     * @param id enterprise主键
     * @return enterprise
     */
    @Override
    public Enterprise selectEnterpriseById(Long id)
    {
        return enterpriseMapper.selectEnterpriseById(id);
    }

    /**
     * 查询enterprise列表
     * 
     * @param enterprise enterprise
     * @return enterprise
     */
    @Override
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise)
    {
        return enterpriseMapper.selectEnterpriseList(enterprise);
    }

    /**
     * 新增enterprise
     * 
     * @param enterprise enterprise
     * @return 结果
     */
    @Override
    public int insertEnterprise(Enterprise enterprise)
    {
        return enterpriseMapper.insertEnterprise(enterprise);
    }

    /**
     * 修改enterprise
     * 
     * @param enterprise enterprise
     * @return 结果
     */
    @Override
    public int updateEnterprise(Enterprise enterprise)
    {
        return enterpriseMapper.updateEnterprise(enterprise);
    }

    /**
     * 批量删除enterprise
     * 
     * @param ids 需要删除的enterprise主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseByIds(Long[] ids)
    {
        return enterpriseMapper.deleteEnterpriseByIds(ids);
    }

    /**
     * 删除enterprise信息
     * 
     * @param id enterprise主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseById(Long id)
    {
        return enterpriseMapper.deleteEnterpriseById(id);
    }
}
